kio (5.116.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:22 +0200

kio (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files, build options and patches.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 13:06:17 +0100

kio (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:51 +0200

kio (5.116.0-0ubuntu2) oracular; urgency=medium

  * Enable co-installability with KF6 kio.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 10:15:28 +0100

kio (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:08 +0100

kio (5.115.0-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Team upload.
  * Update symbols files from the logs of buildds; better mark few Linux & Hurd
    symbols.
  * Drop unused lintian override.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 08:33:53 +0100

kio (5.115.0-8) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:18:55 +0200

kio (5.115.0-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable co-installability with KF6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 13:32:46 +0200

kio (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  *  Backport upstream patch to fix incorrect behaviours with CIFS:
    - Don't leak existing file handles to newly spanwed KIO workers.
      (Closes: #1070322)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 May 2024 23:34:42 +0200

kio (5.115.0-5) unstable; urgency=medium

  * Team upload.
  * Add more dependencies to libkf5kio-dev, needed for properly using the cmake
    config: libkf5config-dev, libkf5coreaddons-dev, libkf5widgetsaddons-dev,
    and libkf5windowsystem-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 23:03:04 +0200

kio (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * Make switcheroo-control really a recommend, not a dependency.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Restrict the switcheroo-control recommend to few architectures, i.e.
    amd64 i386; dual GPU setups exist (at least TTBOMK) only on these
    architectures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 10:00:44 +0200

kio (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:41 +0200

kio (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 20:22:27 +0200

kio (5.115.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the patch fix_kfreebsd_build, already not applied anymore since
    5.88.0-1.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015452).
  * Recommend switcheroo-control (Closes: #1051914).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:06:16 +0100

kio (5.115.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:26 +0200

kio (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:32:44 +0000

kio (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:01:42 +0000

kio (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:58:43 -0700

kio (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:19:01 -0700

kio (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:54:39 -0700

kio (5.113.0-0ubuntu2) noble; urgency=medium

  * d/rules: Force -D_FORTIFY_SOURCE=2 to prevent dolphin segfaulting
    when navigating to folders containing symlinks. Thanks Michael
    Marley.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 Dec 2023 19:24:37 +0000

kio (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:48 +0000

kio (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:40 +0000

kio (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:22 +0000

kio (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:07:46 +0100

kio (5.109.0a-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)
  * Update symbols.
  * Drop included upstream_use-switcheroo-control-to-find-discrete-
    GPUs.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:37 +0100

kio (5.108.0-0ubuntu2) mantic; urgency=medium

  * Cherry pick upstream change to allow better detection of discrete
    (Nvidia) GPUs:
    - d/p/upstream_use-switcheroo-control-to-find-discrete-GPUs.patch
    - Recommends: switcheroo-control package.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 05:08:28 +0100

kio (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:20:36 +0100

kio (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

kio (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:55 +0100

kio (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:46:25 +0100

kio (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

kio (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:53 +0000

kio (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh lintian overrides.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

kio (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:45 +0000

kio (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kio (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:23 +0000

kio (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 21:53:23 +0100

kio (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update symbols from build for 5.101.0.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

kio (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:55 +0000

kio (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper, and dh-sequence-sodeps build
      dependencies to use the pkgkde_symbolshelper, and sodeps addons
      automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Mon, 21 Nov 2022 09:13:21 +0100

kio (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

kio (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:19 +0000

kio (5.99.0a-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:36 +0000

kio (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

kio (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 10:43:14 +0100

kio (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.97.0.
  * Refresh copyright information.
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

kio (5.97.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Aug 2022 09:24:33 +0100

kio (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:04:38 +0100

kio (5.96.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds. (Closes: #1016581)

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2022 06:49:04 +0200

kio (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Move systemsettings as recommends, rather than as dependency; this avoids
    a dependency cycle...
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 12:32:23 +0200

kio (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.96.0.
  * Add a Recommends on systemsettings used to invoke the trash KCM.
  * Refresh lintian overrides.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:08 +0200

kio (5.96.0-0ubuntu3) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 Jul 2022 12:39:16 +0100

kio (5.96.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols, make some optional=gccinternal to prevent FTBFS
  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:34:30 +0100

kio (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:30:28 +0100

kio (5.95.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jun 2022 12:37:28 +0100

kio (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:06 +0100

kio (5.94.0b-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Update symbols.
  * Rename tarball due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:19:50 +0100

kio (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kio (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Refresh patches.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kio (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:16 +0100

kio (5.92.0-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.92.0)
  * Update installed files

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:27:28 +0000

kio (5.91.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 18:54:38 +0000

kio (5.90.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Refresh patches.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:47:36 +0000

kio (5.90.0-3) unstable; urgency=medium

  * Team upload.
  * Disable the cmake search of posix_fadvise, and copy_file_range on Hurd,
    as they are unimplemented (stubs returning ENOSYS); patch
    hurd_disable_unimplemented.diff that replaces fix_hurd_build.patch.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 22 Feb 2022 08:25:48 +0100

kio (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update the patches:
    - report_error_removing_dirs: refresh
    - fix_hurd_build.patch: refresh
    - Use-CXX_FLAGS-for-moc_predefs.h.patch: update, and apply again

 -- Pino Toscano <pino@debian.org>  Mon, 21 Feb 2022 21:33:42 +0100

kio (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0). (Closes: #992657)
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian overrides for libs recommending on the kio package.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kio (5.89.0a-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.89.0)
  * Remove upstream-aef544eb-
    Fix_copying_between_different_filesystems_on_Linux, applied upstream
  * Update symbols

  [ Rik Mills ]
  * Rename tarball after upstream respin.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:16:33 +0000

kio (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our symbols files.
    - Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:24:40 +0000

kio (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Update patch, drop fix_kfreebsd_build.
  * New upstream release (5.88.0).
  * Update patches.
  * Force-bump frameworks internal b-d to 5.88.
  * Cherry-pick upstream aef544eb for copying files between filesystems.

 -- Norbert Preining <norbert@preining.info>  Thu, 18 Nov 2021 08:14:32 +0900

kio (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update patches.
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:05 +0000

kio (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Refresh fix_kfreebsd_build
  * Refresh fix_hurd_build.patch
  * Remove upstream_fix-permissions-when-copying-files.patch
  * Remove upstream_fix-showing-labels-for-read-only-files.patch
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:07 +0000

kio (5.86.0a-0ubuntu3) impish; urgency=medium

  * Add another upstream bugfix patch:
    - d/p/upstream_fix-showing-labels-for-read-only-files.patch
      https://bugs.kde.org/442237

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Sep 2021 14:26:42 +0100

kio (5.86.0a-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patch:
    - d/p/upstream_fix-permissions-when-copying-files.patch
      https://bugs.kde.org/show_bug.cgi?id=404777

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Sep 2021 12:24:52 +0100

kio (5.86.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Refresh patches so the apply without any offset
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:19 +0100

kio (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 12:44:27 +0900

kio (5.85.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Only use B-D libmount-dev on linux systems (Closes: #993682)
    Thanks to Samuel Thibault.

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 17:16:31 +0900

kio (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kio (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * New build deps kded5-dev and libmount-dev.
  * Update install files.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:14:56 +0900

kio (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * New build deps kded5-dev and libmount-dev
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:30 +0100

kio (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:33 +0100

kio (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:05 +0900

kio (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.
  * Drop upstream patches.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:59:04 +0900

kio (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:30 +0100

kio (5.82.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:12 +0100

kio (5.82.0-3) experimental; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick another fix according to upstream.

 -- Norbert Preining <norbert@preining.info>  Sun, 16 May 2021 20:54:16 +0900

kio (5.82.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Backport regression-fixes from upstream.

 -- Norbert Preining <norbert@preining.info>  Sat, 15 May 2021 06:56:08 +0900

kio (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Update patches.
  * Update symbols (one dropped symbols is a leaked private one).

 -- Norbert Preining <norbert@preining.info>  Sun, 09 May 2021 09:52:47 +0900

kio (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kio (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Drop included upstream_fix-kde-bug-434455.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:40 +0100

kio (5.80.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.80.1).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Mar 2021 10:56:35 +0900

kio (5.80.1-0ubuntu3) hirsute; urgency=medium

  * Build qch help docs once more now that doxygen works again on
    riscv64.
  * Add upstream requested patch to fix bug on unmounting volumes.
    https://bugs.kde.org/show_bug.cgi?id=434455
    - debian/patches: upstream_fix-kde-bug-434455.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Mar 2021 14:20:21 +0000

kio (5.80.1-0ubuntu2) hirsute; urgency=medium

  * Build without docs

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Mar 2021 12:08:03 +0000

kio (5.80.1-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release (5.80.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Mar 2021 08:55:32 +0000

kio (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Update patches.
  * Update list of installed files.
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kio (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Refresh patches:
    - report_error_removing_dirs
    - fix_kfreebsd_build
    - fix_hurd_build.patch
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:10 +0000

kio (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

kio (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)
  * Drop included upstream-a183dd0d1ee0-copyjob-fix-crash-skip-
    retry.patch

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:12 +0000

kio (5.78.0-5) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for kio caching/displaying websites etc
    instead of forwarding to the browser.

 -- Norbert Preining <norbert@preining.info>  Thu, 15 Jul 2021 10:20:01 +0900

kio (5.78.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Cherry-pick upstream fix:
    - Fix lockup when renaming a file from properties dialog

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Feb 2021 10:12:11 +0100

kio (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Feb 2021 10:57:42 +0000

kio (5.78.0-3) unstable; urgency=medium

  * Remove graphviz from build depends.
  * Cherry-pick upstream fix for crash in KIO's SkipDialog

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Feb 2021 19:09:03 +0900

kio (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 10:38:44 +0000

kio (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:22 +0900

kio (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream included patch.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kio (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Drop upstream-9dc9e26b9196-add-missing-nullptr-init.patch, included
    in this release.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:42 +0000

kio (5.77.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 22:54:41 +0000

kio (5.77.0-3) unstable; urgency=medium

  * cherry-pick upstream fix add missing nullptr init
    (d/patches/upstream-9dc9e26b9196-add-missing-nullptr-init.patch)

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 09:39:21 +0900

kio (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kio (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols.
  * Update patches, disable Use-CXX_FLAGS-for-moc_predefs.h.patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kio (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Refresh patch report_error_removing_dirs
  * Refresh patch fix_kfreebsd_build
  * Refresh patch fix_hurd_build.patch
  * Update patch Use-CXX_FLAGS-for-moc_predefs.h.patch
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:35 +0000

kio (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:05 +0000

kio (5.74.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes issue in kdeconnect (Closes: #975969)
  * Update renamed lintian tag names in lintian overrides.
  * Drop the transitional kio-dev package, no more needed now.
    (Closes: #939247)
  * Drop files of the unused 'acc' autopkgtest.

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers
    <debian-qt-kde@lists.debian.org>.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 14:23:09 +0100

kio (5.74.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Sep 2020 21:43:48 +0100

kio (5.74.0a-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:31 +0100

kio (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:06 +0200

kio (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * kded is an explicit runtime dependency of kio as it calls
    org.kde.kded5 via dbus.
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5kiocore5.install.
  * Update symbols from build for 5.74.0.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Update symbols from build for 5.74.0 no ABI bump needed (only
    private symbols got removed).
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:14 +0200

kio (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:29 +0100

kio (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:07 +0100

kio (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.
  * Add runtime depend on kded5, as indicated from cmake output.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:44 +0100

kio (5.70.1-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - No kio-dev transitional package.
    - Keep our symbols files.
    - kio.maintscript

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Jun 2020 13:11:29 +0100

kio (5.70.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.1).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update patch hunks.
  * Update symbols from buildds for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:50 +0200

kio (5.70.1-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (5.70.1)

 -- Rik Mills <rikmills@kde.org>  Sun, 17 May 2020 14:51:52 +0100

kio (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:22 +0100

kio (5.69.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 01 May 2020 10:34:45 +0200

kio (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Update patch hunks.
  * Update symbols from build for 5.69.0.
  * Add symbols file for libkf5kiogui5.
  * Add qtdeclerative-dev to BD.
  * Delete not needed Breaks/Confilcts.
  * Cleanup copyright file.
  * Cleanup Build-Depends.
  * Remove duplicate priority entry for kio-dev.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:45 +0200

kio (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:53 +0000

kio (5.67.0-0ubuntu2) focal; urgency=medium

  * Refresh existing patches.
  * Add upstream patch requested by KDE devs.
    https://bugs.kde.org/418258
    - debian/patches: upstream_fix-opening-ssh-protocol.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 08:50:41 +0000

kio (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:39 +0000

kio (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:32 +0000

kio (5.65.0b-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:44 +0000

kio (5.64.0-0ubuntu1) focal; urgency=medium

  * Follow Debian disabling tests.
  * New build depend on qtdeclarative5-dev for Qt5Qml.
  * New upstream release (5.63.0)
  * Update symbols from build logs.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:51 +0000

kio (5.62.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from kio-dbg, no more needed after two Debian stable
    releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the disabled 'testsuite' autopkgtest, as it does not test the installed
    packages anyway
    - drop patches wait_for_a_bit_longer, Disable-flaky-test.patch,
      Disable-baloo-dependant-tests.patch, and Disable-flaky-test-1.patch,
      no more needed now
  * Add Build-Depends-Package to the symbols files.
  * Install the designer plugin into libkf5kio-dev
    - use the ${shlibs:Depends} substvar
  * Explicitly add the gettext build dependency.
  * Rework the dependencies of libkf5kio-dev:
    - use the sodep dh addon to generate the list shared libraries to depend
      on, and use the ${so:Depends} substvar
    - remove kio, as nothing in -dev requires the runtime binaries
  * Remove debian/not-installed file, no more needed now.
  * Backport upstream commit 2c379fecccbf5e2c0b20a93c843c009f2f597318 to fix
    a crash in kio_file on exit; patch
    upstream_Fix-crash-on-exit-in-kio_file.patch. (Closes: #941600)
  * Remove the empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Oct 2019 18:06:44 +0200

kio (5.62.1-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Disable autopkgtest testsuite
  * Update symbols file
  * New upstream release (5.62.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:05 -0700

kio (5.62.1-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the disabled 'testsuite' autopkgtest, as it does not test the installed
      packages anyway
      + drop patches wait_for_a_bit_longer, no more needed now
  * Drop kubuntu_disable_failing_tests.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 15:20:31 +0000

kio (5.62.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.1)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Sep 2019 21:46:00 +0100

kio (5.62.0-0ubuntu1) eoan; urgency=medium

  * New build dep on qttools5-dev for Qt5UiPlugin
  * Update install files.
  * Install designer plugin in -dev package.
  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:15 +0100

kio (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 930435)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * Use CXX_FLAGS for moc_predefs.h
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Refresh patches
  * Update symbols file
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:39 +0100

kio (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:44 +0100

kio (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Refresh patches.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:27 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kio`.
